cURL
curl --request POST \ --url https://studio.edgeimpulse.com/v1/api/{projectId}/raw-data/{sampleId}/find-segments \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data ' { "shiftSegments": true, "segmentLengthMs": 123 } '
{ "success": true, "segments": [ { "startMs": 123, "endMs": 123 } ], "error": "<string>" }
Find start and end times for all non-noise events in a sample
Documentation IndexFetch the complete documentation index at: https://docs.nordic.edgeimpulse.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.nordic.edgeimpulse.com/llms.txt
Use this file to discover all available pages before exploring further.
Project ID
Sample ID
If set, the segments are automatically shifted randomly, to make the dataset distribution more uniform.
OK
Whether the operation succeeded
Show child attributes
Optional error description (set if 'success' was false)